Subject: bug#44020: 28.0.50; Prefer selection of colour emoji fonts?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Oct 2020 13:49:46 +0300

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 16 Oct 2020 12:38:18 +0200
> 
>     >> 1. Deciding what fonts we should use for emoji. We can get a lot of
>     >> good results by adding appropriate 'set-fontset-font' calls to
>     >> emacs, independently of any other work (I also wonder if we should
>     >> change the default of use-default-font-for-symbols, given the
>     >> proliferation of both emoji and fonts dedicated to displaying them)
>     >> 
>     >> 2. Extract the emoji sequences from the Unicode data files and assign
>     >> them to a new 'emoji' script. Be prepared to choose your favourite
>     >> bikeshed colour.
>     >> 
>     >> 3. Add the appropriate entries to composition-function-table so that
>     >> the various multi-codepoint emoji sequences have a chance to be
>     >> rendered correctly, whether by HarfBuzz or the Apple thing whose
>     >> name I forget.
>     >> 
>     >> For [1], I think "Noto Color Emoji" and "Apple Color Emoji" would be a
>     >> good start.
> 
>     Eli> I agree, but [1] depends on [2], because set-fontset-font needs to
>     Eli> know the script.
> 
> set-fontset-font with a TARGET covering the emoji codepoints in
> question, I meant. Youʼre right itʼs probably cleaner to do both at
> the same time.

Yes, because using the codepoints will mean more maintenance in the
future, as more Emoji blocks are added (and they will be, quite
certainly).

> 
>     Eli> Also, Noto Color Emoji has a free license, so it's okay for it to be
>     Eli> in fontset.el, but it is not clear to me whether Apple Color Emoji is
>     Eli> distributed under a free license.
> 
> Itʼs marked 'Copyright Apple 2011-2016' in the macOS font
> selector. And Apple appear to be both sensitive and litigious about
> it, so probably best not to promote it.

Right.  People will have to do that on their own, if they don't want
to install a free font.